#include <iostream>
using namespace std;
 
   int main()
   {
    int p, q, r, p2, q2, r2;
    long long int min, max, q1, p1, r1, k;
    cin>>p>>q>>r>>min>>max;
    k=0;
    p2=0;
    q2=0;
    r2=0;
    if(min%p!=0){
        p1=min/p+1;
        p2=min%p;
    }else{
        p1=min/p;
        
    }
    if(min%q!=0){
        q1=min/q+1;
        q2=min%q;
    }else{
        q1=min/q;
    }
    if(min%r!=0){
        r1=min/r+1;
        r2=min%r;
    }else{
        r1=min/r;
    }
    
    while(min<=max){
    if(p2==p){
        p1++;
        p2=0;
    }
    if(q2==q){
        q1++;
        q2=0;
    }
    if(r2==r){
        r1++;
        r2=0;
    }
    if(min>=p1+q1+r1){
        k++;
    }
        min++;
        p2++; 
        r2++;
        q2++;
    }
    cout<<k;
    return 0;
   }